### Class

# Gdk Snapshot

since: 4.0

#### Description [src]

    abstract class Gdk.Snapshot : GObject.Object
    {
      /* No available fields */
    }

Base type for snapshot operations.

The subclass of `GdkSnapshot` used by GTK is GtkSnapshot.

Available since: 4.0

#### Ancestors

- GObject

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct GdkSnapshotClass {
      /* no available fields */
    }

No description available.